[arch-commits] Commit in graphite/repos (6 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Sun Dec 6 06:03:28 UTC 2015


    Date: Sunday, December 6, 2015 @ 07:03:28
  Author: bpiotrowski
Revision: 252619

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  graphite/repos/staging-i686/
  graphite/repos/staging-i686/PKGBUILD
    (from rev 252618, graphite/trunk/PKGBUILD)
  graphite/repos/staging-i686/graphite2-1.2.0-cmakepath.patch
    (from rev 252618, graphite/trunk/graphite2-1.2.0-cmakepath.patch)
  graphite/repos/staging-x86_64/
  graphite/repos/staging-x86_64/PKGBUILD
    (from rev 252618, graphite/trunk/PKGBUILD)
  graphite/repos/staging-x86_64/graphite2-1.2.0-cmakepath.patch
    (from rev 252618, graphite/trunk/graphite2-1.2.0-cmakepath.patch)

------------------------------------------------+
 staging-i686/PKGBUILD                          |   65 +++++++++++++++++++++++
 staging-i686/graphite2-1.2.0-cmakepath.patch   |    9 +++
 staging-x86_64/PKGBUILD                        |   65 +++++++++++++++++++++++
 staging-x86_64/graphite2-1.2.0-cmakepath.patch |    9 +++
 4 files changed, 148 insertions(+)

Copied: graphite/repos/staging-i686/PKGBUILD (from rev 252618, graphite/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2015-12-06 06:03:28 UTC (rev 252619)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+
+pkgname=graphite
+pkgver=1.3.3
+pkgrel=2
+epoch=1
+arch=('i686' 'x86_64')
+url="http://projects.palaso.org/projects/graphitedev"
+pkgdesc='reimplementation of the SIL Graphite text processing engine'
+license=('LGPL' 'GPL' 'custom')
+depends=('gcc-libs')
+makedepends=('cmake' 'freetype2' 'python2')
+             # - only for docs - target doesn't install properly
+             #  'doxygen' 'texlive-latexextra' 'graphviz' 'asciidoc' 'perl-module-build' 'icu') # builds doc properly? 'texlive-helvetic' seems to be missing
+options=('!emptydirs')
+source=(http://downloads.sourceforge.net/project/silgraphite/graphite2/graphite2-${pkgver}.tgz
+        graphite2-1.2.0-cmakepath.patch)
+sha1sums=('54b04c283bab4695de63ae2dd6cff392dd49d7f0'
+          '7283d73e21f28a0b4221af9ce7998d68fcced16a')
+
+prepare() {
+  cd "${srcdir}"
+
+  # python2 fixes
+  sed -i "s:\/usr\/bin\/python:\/usr\/bin\/python2:" graphite2-${pkgver}/tests/{corrupt.py,defuzz,fnttxtrender,fuzzbidi,fuzztest,hbspeeds,jsoncmp}
+  
+  # fix install path - .cmake files contain architecture dependend content - patch taken from FC/Slackware
+  pushd graphite2-${pkgver}
+  patch -Np1 -i ${srcdir}/graphite2-1.2.0-cmakepath.patch
+  popd
+}
+
+build() {
+  mkdir build
+  cd build
+  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
+	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DCMAKE_BUILD_TYPE:STRING=Release \
+	-DGRAPHITE2_COMPARE_RENDERER=OFF \
+	#-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON # remove when docs install target will be fixed
+
+  # fix unwanted -O3 cflag (taken form Debian)
+  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
+
+  make 
+  #make docs
+}
+
+check() {
+  cd "${srcdir}"/build
+  sed -i "s:python:python2:g" tests/CTestTestfile.cmake
+  ctest || true # some new test fail
+}
+
+package() {
+  cd "${srcdir}"/build
+  # FIXME: all target doesn't install the docs target files
+  make DESTDIR="$pkgdir/" install 
+
+  # licenses
+  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
+  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
+}

Copied: graphite/repos/staging-i686/graphite2-1.2.0-cmakepath.patch (from rev 252618, graphite/trunk/graphite2-1.2.0-cmakepath.patch)
===================================================================
--- staging-i686/graphite2-1.2.0-cmakepath.patch	                        (rev 0)
+++ staging-i686/graphite2-1.2.0-cmakepath.patch	2015-12-06 06:03:28 UTC (rev 252619)
@@ -0,0 +1,9 @@
+diff -urN graphite2-1.2.0.orig/src/CMakeLists.txt graphite2-1.2.0/src/CMakeLists.txt
+--- graphite2-1.2.0.orig/src/CMakeLists.txt	2013-01-29 15:47:32.465841769 +0530
++++ graphite2-1.2.0/src/CMakeLists.txt	2013-01-29 15:48:24.056843352 +0530
+@@ -136,4 +136,4 @@
+ 
+ 
+ install(TARGETS graphite2 EXPORT graphite2 LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX} PUBLIC_HEADER DESTINATION include/graphite2 RUNTIME DESTINATION bin)
+-install(EXPORT graphite2 DESTINATION share/graphite2 NAMESPACE gr2_)
++install(EXPORT graphite2 DESTINATION lib${LIB_SUFFIX}/graphite2 NAMESPACE gr2_)

Copied: graphite/repos/staging-x86_64/PKGBUILD (from rev 252618, graphite/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2015-12-06 06:03:28 UTC (rev 252619)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+
+pkgname=graphite
+pkgver=1.3.3
+pkgrel=2
+epoch=1
+arch=('i686' 'x86_64')
+url="http://projects.palaso.org/projects/graphitedev"
+pkgdesc='reimplementation of the SIL Graphite text processing engine'
+license=('LGPL' 'GPL' 'custom')
+depends=('gcc-libs')
+makedepends=('cmake' 'freetype2' 'python2')
+             # - only for docs - target doesn't install properly
+             #  'doxygen' 'texlive-latexextra' 'graphviz' 'asciidoc' 'perl-module-build' 'icu') # builds doc properly? 'texlive-helvetic' seems to be missing
+options=('!emptydirs')
+source=(http://downloads.sourceforge.net/project/silgraphite/graphite2/graphite2-${pkgver}.tgz
+        graphite2-1.2.0-cmakepath.patch)
+sha1sums=('54b04c283bab4695de63ae2dd6cff392dd49d7f0'
+          '7283d73e21f28a0b4221af9ce7998d68fcced16a')
+
+prepare() {
+  cd "${srcdir}"
+
+  # python2 fixes
+  sed -i "s:\/usr\/bin\/python:\/usr\/bin\/python2:" graphite2-${pkgver}/tests/{corrupt.py,defuzz,fnttxtrender,fuzzbidi,fuzztest,hbspeeds,jsoncmp}
+  
+  # fix install path - .cmake files contain architecture dependend content - patch taken from FC/Slackware
+  pushd graphite2-${pkgver}
+  patch -Np1 -i ${srcdir}/graphite2-1.2.0-cmakepath.patch
+  popd
+}
+
+build() {
+  mkdir build
+  cd build
+  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
+	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DCMAKE_BUILD_TYPE:STRING=Release \
+	-DGRAPHITE2_COMPARE_RENDERER=OFF \
+	#-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON # remove when docs install target will be fixed
+
+  # fix unwanted -O3 cflag (taken form Debian)
+  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
+
+  make 
+  #make docs
+}
+
+check() {
+  cd "${srcdir}"/build
+  sed -i "s:python:python2:g" tests/CTestTestfile.cmake
+  ctest || true # some new test fail
+}
+
+package() {
+  cd "${srcdir}"/build
+  # FIXME: all target doesn't install the docs target files
+  make DESTDIR="$pkgdir/" install 
+
+  # licenses
+  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
+  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
+}

Copied: graphite/repos/staging-x86_64/graphite2-1.2.0-cmakepath.patch (from rev 252618, graphite/trunk/graphite2-1.2.0-cmakepath.patch)
===================================================================
--- staging-x86_64/graphite2-1.2.0-cmakepath.patch	                        (rev 0)
+++ staging-x86_64/graphite2-1.2.0-cmakepath.patch	2015-12-06 06:03:28 UTC (rev 252619)
@@ -0,0 +1,9 @@
+diff -urN graphite2-1.2.0.orig/src/CMakeLists.txt graphite2-1.2.0/src/CMakeLists.txt
+--- graphite2-1.2.0.orig/src/CMakeLists.txt	2013-01-29 15:47:32.465841769 +0530
++++ graphite2-1.2.0/src/CMakeLists.txt	2013-01-29 15:48:24.056843352 +0530
+@@ -136,4 +136,4 @@
+ 
+ 
+ install(TARGETS graphite2 EXPORT graphite2 LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX} PUBLIC_HEADER DESTINATION include/graphite2 RUNTIME DESTINATION bin)
+-install(EXPORT graphite2 DESTINATION share/graphite2 NAMESPACE gr2_)
++install(EXPORT graphite2 DESTINATION lib${LIB_SUFFIX}/graphite2 NAMESPACE gr2_)



More information about the arch-commits mailing list